#pragma once

XAIRO_NAMESPACE_BEGIN

struct _ent {
	const xairo_uchar* name;
	const xairo_uchar* path;
	const xairo_uchar* enc;
	int file, offset, nw;
};

class CEntityManager
{
public:
	CEntityManager(CXairoServer*);
	~CEntityManager();
	bool Load();
	const xairo_uchar* TextExtract(int fi,int pos0,int len,int* k1,int *k2);
	const xairo_uchar* GetTextPath(int);
	int GetOuterEntity(int);

private:
	xairo_uchar* decode(int code,const char* input,int k,int* pos,int* len);
	int m_nents;
	_ent* m_ents;
	CXairoServer* m_server;

};

XAIRO_NAMESPACE_END
