#pragma once

#include "../XairoHeader.h"

XAIRO_NAMESPACE_BEGIN

class CXairoAddkeyFilter : public CXairoIAddkeyFilter
{
public:
	CXairoAddkeyFilter(CDBKey*,CXairoServer*);
	CXairoAddkeyFilter(const xairo_uchar*,CXairoServer*);
public:
	~CXairoAddkeyFilter(void);
	const xairo_uchar* getId();
	int getCount() const;
	const xairo_uchar* getVal(int) const;
	int getValN(int) const;
	const xairo_uchar* getKey() const;
private:
	bool m_bOwns;
	CDBKey* m_key;
	CXairoServer* m_server;
};

XAIRO_NAMESPACE_END

