#pragma once

#include "../XairoHeader.h"

XAIRO_NAMESPACE_BEGIN


class CXairoAddkeyValueList : public CXairoIAddkeyValueList
{
public:
	CXairoAddkeyValueList(int nd,CXairoServer* s):m_nd(nd),m_server(s) {}
	CXairoAddkeyValueList(const xairo_uchar*,CXairoServer* s);
public:
	~CXairoAddkeyValueList(void);
	XAIRO_API_EXPORT int getCount();
	XAIRO_API_EXPORT class CXairoIAddkeyValue* getAddkeyValue(int);
	const xairo_uchar* getId();

private:
	int m_nd;
	CXairoServer* m_server;
};

XAIRO_NAMESPACE_END