#pragma once

#include "../XairoHeader.h"

XAIRO_NAMESPACE_BEGIN

class CXairoICollocate;
class CXairoISolution;


class CXairoCollocationTable : public CXairoICollocationTable
{
	friend class CXairoSolution; // for thinning
public:
	CXairoCollocationTable(CDBKey*,CXairoServer*);
	CXairoCollocationTable(const xairo_uchar* id,const xairo_uchar*,_cwin,CXairoServer* s);
	CXairoCollocationTable(const xairo_uchar* id,CXairoServer* s);
	~CXairoCollocationTable();
	XAIRO_API_EXPORT int getCount();
	XAIRO_API_EXPORT CXairoICollocate* getCollocate(int);
	const xairo_uchar* getId();
private:
	CDBKey* m_key;
	CXairoServer* m_server;
	const xairo_uchar* m_addkey;
	_cwin m_cwin;
	int m_d;

};

XAIRO_NAMESPACE_END
