#pragma once
#include "XairoProxyServer.h"

class CXairoProxyForm : 
	public CXairoIForm
{
public:
	CXairoProxyForm(const xairo_uchar* id,CXairoProxyServer* s):m_id(id),m_server(s) {}
	~CXairoProxyForm(void);
	int getFrequency();
	int getFilteredFrequency(const CXairoICorpusTextFilter*);
	const xairo_uchar* getAdditionalKey(const xairo_uchar* key);
	const xairo_uchar* getNorm();
	const xairo_uchar* getText();
	bool included(const CXairoIAddkeyFilter*);
private:
	const xairo_uchar* m_id;
	CXairoProxyServer* m_server;
};

