#include "Corpinc.h"                   

#define MAXLINE 256         
#define MAXK 16                                     

enum keys {KEY_ELT,KEY_ATT,KEY_POS,KEY_PUN,KEY_CHAR,KEY_VER,KEY_ENT,KEY_LABEL,KEY_SCOPE,
	KEY_OPTION,KEY_LC,KEY_LEX,KEY_RADIX,KEY_LEMMATA,
	KEY_WTAG,KEY_LTAG,KEY_XADIC,KEY_MAX};

char* kw[KEY_MAX]={"elt","att","pos","pun","char","ver","ent",
	"label","scope","option","lc","lex","radix","lemmata","wtag",
	"ltag","xadic"};
                            
void ProcessDescLine(char*);                            
void ProcessElt(char*);
void ProcessAtt(char*);
void ProcessPos(char*);
void ProcessPun(char*);
void ProcessChar(char*);                                           
void ProcessEnt(char*);
void ProcessLabels(char*);
void ProcessScope(char*);
void ProcessOption(char*);
void ProcessLC(char*);
void ProcessLex(char*);
void ProcessRadix(char*);
void ProcessLemmata(char*);
void ProcessWTag(char*);
void ProcessLTag(char*);
void ProcessXADic(char*);

int npos, nctab, nspec, nelts, natts, nukatts, nukents, nukpos, nlabs, ncase,
	nwt, nlt=0, nxa;
int hdv;                                
int radix=10;

enum _st CharStyle(unsigned char);

struct _wtg wtags[MAXWTAGS];
struct _wtg ltags[MAXWTAGS];
struct _wtg xadic[MAXXA];
struct _pos postab[MAXENTS];
struct cdef ctab[MAXCENTS];        
struct _ent specs[MAXSPECS];  
struct _eltab eltab[MAXELTS];            
struct _atttab atttab[MAXGATTS];
struct _ukatttab uktab[MAXGATTS];
struct _lc lctab[MAXLC];
enum _st lextab[256];
char uketab[MAXGENTS][MAXNAME+1];
char ukpos[MAXENTS][MAXNAME];

static char currelt[MAXNAME+1]="0";                                  

BOOL bNoPos=FALSE;      
BOOL bNameCase=FALSE;

char txt0[MAXNAME]="TXT0";

char defscope[MAXNAME];

#define NTYPES 11                        
#define MAXTLENGTH 16

#define MAXLAB 10

struct _labels labels[MAXLAB];



                            












