#pragma once

//#define THPAS 100000
#define FS 2000000000 // must be a parameter

#include "DataReader.h"

XAIRO_NAMESPACE_BEGIN

class CThread
{
public:
	CThread(CXairoServer*);
	~CThread();
	bool Load();
	int GetThread(int);
private:
	CXairoServer* m_server;
	int m_npage;
	int* m_thpa;
	int m_nf;
	xara_loc_hdr m_loc_hdr;
	FILE** m_fThread;
	xara_loc_page* m_loctab;
	int m_maxiloc, m_npages;
	void ReadPage(int,int*);

};


XAIRO_NAMESPACE_END
