#include "SServer.h"

#include "XairoTextEntity.h"
#include "EntityManager.h"
#include "XairoSolveError.h"

XAIRO_NAMESPACE_BEGIN

CXairoTextEntity::CXairoTextEntity(int i,CXairoServer* s):m_i(i),m_server(s)
{
}

CXairoTextEntity::~CXairoTextEntity(void)
{
}

const xairo_uchar* CXairoTextEntity::getURL()
{
	return m_server->GetEntityManager()->GetTextPath(m_i);
}

const xairo_uchar* CXairoTextEntity::getURLRemote()
{
	throw new CXairoError(CXairoIError::ERR_NOTEXT,L("Text not available for remote access"));
}

XAIRO_NAMESPACE_END
