#pragma once
#include "../XairoHeader.h"

#include "XairoForm.h"

XAIRO_NAMESPACE_BEGIN



class CXairoWord : public CXairoIWord
{
public:
	struct _ff {
		int i;
		int f;
	};
	CXairoWord(int d,_ff f,CXairoServer* s):m_d(d), m_p(f.i), m_freq(f.f),	 m_server(s) {}
	CXairoWord(const xairo_uchar*,CXairoServer*);
	~CXairoWord();
	XAIRO_API_EXPORT const xairo_uchar* getNorm(int);
	XAIRO_API_EXPORT int getFrequency() {return m_freq;}
	XAIRO_API_EXPORT int getFormCount() {return GetLemma()->forms;}
	XAIRO_API_EXPORT CXairoForm* getForm(int);
	XAIRO_API_EXPORT int getFilteredFrequency(const CXairoICorpusTextFilter*,const CXairoIAddkeyFilter*);
	int getFilteredFrequencyMap(int,int*,const CXairoIAddkeyFilter*);
	const xairo_uchar* getId();
private:
	xara_lemma* GetLemma();
	CXairoServer *m_server;
	int m_d, m_p, m_freq;
//	xara_lemma* m_lemma;
};

XAIRO_NAMESPACE_END
