#include "stdafx.h"
#include "XairoProxyAttributeValueList.h"
#include "XairoProxyAttributeValue.h"

CXairoProxyAttributeValueList::CXairoProxyAttributeValueList(const xairo_uchar* id,const xairo_uchar* cbid,CXairoProxyServer* s):
	m_id(id),m_cbid(cbid),m_server(s)
{
}

CXairoProxyAttributeValueList::~CXairoProxyAttributeValueList(void)
{
}

int CXairoProxyAttributeValueList::getCount()
{
	const xairo_uchar* s;
	DOMElement* d;
	xmlrpc_arg x[2];
	x[0].t=XMLRPC_STRING; x[0].s=m_id;
	x[1].t=XMLRPC_STRING; x[1].s=m_cbid;
	s=RPCCall(L("AttributeValueList_getCount"),2,x);
	d=m_server->RPCRemote(s); delete [] s;
	return RPCIntParam(d,0);


}

CXairoIAttributeValue* CXairoProxyAttributeValueList::getAttributeValue(int i)
{
	const xairo_uchar* s;
	DOMElement* d;
	xmlrpc_arg x[3];
	x[0].t=XMLRPC_STRING; x[0].s=m_id;
	x[1].t=XMLRPC_STRING; x[1].s=m_cbid;
	x[2].t=XMLRPC_I4; x[2].i=i;
	s=RPCCall(L("AttributeValueList_getAttributeValue"),3,x);
	d=m_server->RPCRemote(s); delete [] s;
	const xairo_uchar* v=RPCStringParam(d,0);
	const xairo_uchar* g=RPCStringParam(d,1);
	int f=RPCIntParam(d,2);
	const xairo_uchar* id=RPCStringParam(d,3);
	return new CXairoProxyAttributeValue(v,g,f,id,m_server);
}
