#pragma once
#include "XairoProxyServer.h"
#include "XairoProxyWord.h"

class CXairoProxyCollocate :
	public CXairoICollocate
{
public:
	CXairoProxyCollocate(const xairo_uchar* wid,int h,double s,CXairoProxyServer* sv):
	  m_wid(wid),m_h(h),m_s(s),m_server(sv) {}
	~CXairoProxyCollocate(void);
	CXairoIWord* getWord() {return new CXairoProxyWord(m_wid,m_server);}
	int getHits() {return m_h;}
	double getScore() {return m_s;}
private:
	const xairo_uchar* m_wid;
	int m_h;
	double m_s;
	CXairoProxyServer* m_server;
};
