#pragma once

#include "XairoProxyServer.h"


class CXairoProxyError :
	public CXairoIError
{
public:
	CXairoProxyError(CXairoIError::code n,const xairo_uchar* err) {m_code=n;m_msg=_wcsdup(err);m_sev=CXairoIError::SEV_ERROR;}
	CXairoProxyError(CXairoIError::code n,const char* err);
	~CXairoProxyError(void);
	const xairo_uchar* getMessage() {return m_msg;}
	CXairoIError::code getCode() {return m_code;}
	CXairoIError::sev getSeverity() {return m_sev;}
private:
	const xairo_uchar* m_msg;
	CXairoIError::code m_code;
	CXairoIError::sev m_sev;
};
