#pragma once
#include "XairoProxyServer.h"

class CXairoProxyWord :
	public CXairoIWord
{
public:
	CXairoProxyWord(const xairo_uchar*,int,int,const xairo_uchar*,CXairoProxyServer*);
	CXairoProxyWord(const xairo_uchar*,CXairoProxyServer*);
	~CXairoProxyWord(void);
	const xairo_uchar* getNorm(int);
	int getFrequency();
	int getFilteredFrequency(const CXairoICorpusTextFilter*,const CXairoIAddkeyFilter*);
	int getFormCount();
	CXairoIForm* getForm(int i);
private:
	CXairoProxyServer* m_server;
	const xairo_uchar* m_id;
	int m_f, m_fc;
	const xairo_uchar* m_norm0;
	bool m_bCache;
};
